Page MenuHomePhabricator

Update Echo and Run Maintenance Script
Closed, ResolvedPublic0.5 Story Points

Description

This is to deploy the latest version of Echo and run the maintenance script maintenance/updatePerUserBlacklist.php which includes T173475

Ah, I imagined you'd SWAT this. The train left before your change was merged this week so you should SWAT it and ask the deployer to run it for you. Otherwise this change won't be live on wikis until Thursday next week.

Event Timeline

dbarratt created this task.Oct 4 2017, 7:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2017, 7:18 PM
TBolliger added a subscriber: TBolliger.
dbarratt set the point value for this task to 0.5.Oct 4 2017, 8:11 PM
dbarratt updated the task description. (Show Details)Oct 4 2017, 8:15 PM
dbarratt renamed this task from Deploy Echo Notification Mute (Block List) can be bypassed by changing username to Update Echo and Run Maintenance Script.Oct 5 2017, 6:47 AM
dbarratt updated the task description. (Show Details)Oct 5 2017, 5:27 PM
dbarratt updated the task description. (Show Details)

The deploy failed (again)

1$ mwscript extensions/Echo/maintenance/updatePerUserBlacklist.php --wiki=zhwiki
2Updating Echo Notification Blacklist...
3Updated 0 Users
4PHP Notice: Undefined variable: dbFactory in /srv/mediawiki/php-1.31.0-wmf.2/extensions/Echo/maintenance/updatePerUserBlacklist.php on line 82
5Notice: Undefined variable: dbFactory in /srv/mediawiki/php-1.31.0-wmf.2/extensions/Echo/maintenance/updatePerUserBlacklist.php on line 82
6PHP Fatal error: Call to a member function waitForSlaves() on null in /srv/mediawiki/php-1.31.0-wmf.2/extensions/Echo/maintenance/updatePerUserBlacklist.php on line 82
7Fatal error: Call to a member function waitForSlaves() on null in /srv/mediawiki/php-1.31.0-wmf.2/extensions/Echo/maintenance/updatePerUserBlacklist.php on line 82
8

dbarratt closed this task as Resolved.Oct 9 2017, 7:56 PM
dbarratt moved this task from In progress to Done on the Anti-Harassment (AHT Sprint 6) board.
dbarratt added a subscriber: hashar.

@hashar is a boss man and fixed the bug and ran the script. This is done!

Change 383183 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions/Echo@master] updatePerUserBlacklist wfWaitForSlaves()

https://gerrit.wikimedia.org/r/383183

hashar added a comment.Oct 9 2017, 8:10 PM

The updatePerUserBlacklist script required a live hack. I did a commit for the wmf branch but that needs to be ported to the master branch https://gerrit.wikimedia.org/r/383182 updatePerUserBlacklist wfWaitForSlaves()

https://gerrit.wikimedia.org/r/#/c/383183/ is the patch proposed for master :)

General reminder: Please add codebase projects like Notifications so such tasks can be found when searching for tasks in that codebase project. Thanks.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 9 2017, 9:38 PM

Change 383183 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] updatePerUserBlacklist wfWaitForSlaves()

https://gerrit.wikimedia.org/r/383183

Catrope added a subscriber: Catrope.

This script inserted zeroes (the user ID zero, suggesting a CU lookup failure) into the blacklists of a few thousand users, and possibly broke all notifications for them. See T177825#3685628.